Bug 28002 - maniadrive - smooth play with LIBGL_ALWAYS_INDIRECT=true, (almost) unplayable otherwise
Summary: maniadrive - smooth play with LIBGL_ALWAYS_INDIRECT=true, (almost) unplayable...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium enhancement
Assignee: Kristian Høgsberg
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-06 12:59 UTC by Paulo César Pereira de Andrade
Modified: 2017-07-24 23:08 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paulo César Pereira de Andrade 2010-05-06 12:59:51 UTC
I was checking some packages, to see if I could find another case where
LIBGL_ALWAYS_INDIRECT=true would crash the X Server (as in
https://bugs.freedesktop.org/show_bug.cgi?id=27333), and what I find out
is @subject.

  Recently I corrected some issues in the maniadrive package
(http://maniadrive.raydium.org/), and with LIBGL_ALWAYS_INDIRECT=true
the game is very playable, while otherwise, the car just keeping jumping
position ahead/behind making it very hard to play; very hard to figure
where the car really is...

  This is just a suggestion for a possible enhancement.
Comment 1 Jesse Barnes 2010-06-01 12:30:37 UTC
I think Kristian fixed some issues like this recently.
Comment 2 Jesse Barnes 2011-06-16 12:31:22 UTC
Assuming this is fixed in recent bits.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.